org.apache.ode.daohib.bpel.hobj

## Class HMessage

- java.lang.Object
- - org.apache.ode.daohib.bpel.hobj.HObject
  - - org.apache.ode.daohib.bpel.hobj.HMessage

-     public class HMessage
      extends HObject

  Hibernate-managed table for keeping track of messages.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SELECT_MESSAGE_IDS_BY_INSTANCES`
    `static java.lang.String` | `SELECT_MESSAGE_IDS_BY_MEX`
    `static java.lang.String` | `SELECT_MESSAGES_BY_INSTANCES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HMessage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getHeader()`
    `byte[]` | `getMessageData()`
    `HMessageExchange` | `getMessageExchange()`
    `java.lang.String` | `getType()`
    `void` | `setHeader(byte[] header)`
    `void` | `setMessageData(byte[] data)`
    `void` | `setMessageExchange(HMessageExchange mex)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject

      `getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SELECT_MESSAGE_IDS_BY_MEX

          public static final java.lang.String SELECT_MESSAGE_IDS_BY_MEX

      See Also:
        Constant Field Values

    - #### SELECT_MESSAGE_IDS_BY_INSTANCES

          public static final java.lang.String SELECT_MESSAGE_IDS_BY_INSTANCES

      See Also:
        Constant Field Values

    - #### SELECT_MESSAGES_BY_INSTANCES

          public static final java.lang.String SELECT_MESSAGES_BY_INSTANCES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HMessage

          public HMessage()

  - ### Method Detail

    - #### setMessageExchange

          public void setMessageExchange(HMessageExchange mex)

    - #### getMessageExchange

          public HMessageExchange getMessageExchange()

    - #### setType

          public void setType(java.lang.String type)

    - #### getType

          public java.lang.String getType()

    - #### getMessageData

          public byte[] getMessageData()

    - #### setMessageData

          public void setMessageData(byte[] data)

    - #### getHeader

          public byte[] getHeader()

    - #### setHeader

          public void setHeader(byte[] header)